import { select, csv,scalelinear} from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');


const render = (data => {
  const xscale = scalelinear();
  svg.selectAll('rect').data(data)
  .enter().append('rect')
    .attr('width', 300)
    .attr('height', 300)
});
  
csv('data.csv').then(data => {
  data.forEach( d => {
     d.population = +d.population})
  render(data);
});

